Subject: [Dtls-iot] Work Items and Milestones

From: Zach Shelby <[email-masked]>
Date: Tue, 30 Jul 2013 17:08:59 +0200

We would like to ask final comments on the Work Items and Milestones of the charter before the BOF, which I have pasted below. This part of the charter has been stable for quite some time, however I made one substantial change today.  Based on discussion with the Security Ads and Ekr, it didn't make sense for us to categorise the group communication record layer work item as Informational. Although not extensive, there would be normative text to follow. I have now changed this work item to Standards Track, also to make sure if gets enough attention and reviews from the right folks. Any comments around that? 

Charter Snippet:

The scope of this WG is to define the following:
	
• Document the problems with the DTLS handshake for IoT, and define a suitable profile of DTLS for an IoT architecture and use case that minimizes the complexity and overhead of DTLS for constrained devices. The set of DTLS extensions and modes to be supported will be defined.
    
• Define the reuse of DTLS Record Layer for secure CoAP group communication in combination with a (out-of-band delivered) group key for select cipher suites. The DTLS state machine should not be modified/altered and key management is outside the scope.

Goals and Milestones

Oct 2013        WG document for DTLS for Constrained Environments profile
Nov 2013       WG document for secure COAP group communication for IoT
Feb 2014       DTLS for IoT profile specification submitted to the IESG for publication as standards track
Mar 2014       Secure COAP group communication specification submitted to the IESG for publication as standards track 

-- 
Zach Shelby, Chief Nerd, Sensinode Ltd.
http://www.sensinode.com @SensinodeIoT
Mobile: +358 40 7796297
Twitter: @zach_shelby
LinkedIn: http://fi.linkedin.com/in/zachshelby
6LoWPAN Book: http://6lowpan.net